# Uses of Enum Class
javax.swing.LayoutStyle.ComponentPlacement

Packages that use LayoutStyle.ComponentPlacement
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of LayoutStyle.ComponentPlacement in javax.swing

Methods in javax.swing that return LayoutStyle.ComponentPlacement
Modifier and Type
Method
Description
`static LayoutStyle.ComponentPlacement`
LayoutStyle.ComponentPlacement.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LayoutStyle.ComponentPlacement[]`
LayoutStyle.ComponentPlacement.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.swing with parameters of type LayoutStyle.ComponentPlacement
Modifier and Type
Method
Description
`GroupLayout.SequentialGroup`
GroupLayout.SequentialGroup.`addPreferredGap(JComponent comp1, JComponent comp2, LayoutStyle.ComponentPlacement type)`
Adds an element representing the preferred gap between two components.
`GroupLayout.SequentialGroup`
GroupLayout.SequentialGroup.`addPreferredGap(JComponent comp1, JComponent comp2, LayoutStyle.ComponentPlacement type, int pref, int max)`
Adds an element representing the preferred gap between two components.
`GroupLayout.SequentialGroup`
GroupLayout.SequentialGroup.`addPreferredGap(LayoutStyle.ComponentPlacement type)`
Adds an element representing the preferred gap between the nearest components.
`GroupLayout.SequentialGroup`
GroupLayout.SequentialGroup.`addPreferredGap(LayoutStyle.ComponentPlacement type, int pref, int max)`
Adds an element representing the preferred gap between the nearest components.
`abstract int`
LayoutStyle.`getPreferredGap(JComponent component1, JComponent component2, LayoutStyle.ComponentPlacement type, int position, Container parent)`
Returns the amount of space to use between two components.